Bug 1018614 - RepetierHost doesn't communicate with the printer with 250000 baudrate
RepetierHost doesn't communicate with the printer with 250000 baudrate
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: RepetierHost (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-13 16:33 EDT by antonio montagnani
Modified: 2014-08-22 14:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-22 14:42:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dependencies from "original" package (4.04 KB, text/plain)
2013-10-17 03:45 EDT, antonio montagnani
no flags Details

  None (edit)
Description antonio montagnani 2013-10-13 16:33:56 EDT
Description of problem:
When printing on a 3drag printer,it doesn't start

Version-Release number of selected component (if applicable):
0.90D-1fc19 both on 64bit and 32 bit

How reproducible:
always

Steps to Reproduce:
1.try to print or setup printing head
2.
3.

Actual results:
no movement or print

Expected results:
it should work

Additional info:
Cura works plug&play even at 250000 baud
Comment 1 Miro Hrončok 2013-10-13 19:15:34 EDT
Does it work with RepetierHost form http://www.repetier.com/download/ ?

I would recommend to run on lower baudrate, see https://github.com/repetier/Repetier-Host/issues/156
Comment 2 antonio montagnani 2013-10-16 11:49:35 EDT
should I have mono installed??
Comment 3 Miro Hrončok 2013-10-16 12:09:41 EDT
If you installed RepetierHost package, mono is installed (it was pulled as a dependency).

Otherwise, yes.
Comment 4 antonio montagnani 2013-10-16 12:26:32 EDT
not a single mono-* package has been installed. Or am I missing something....?
Comment 5 Miro Hrončok 2013-10-16 12:31:25 EDT
Probably. How did you install RepetierHost?

(After removing all mono packages)
# yum install RepetierHost
Loaded plugins: auto-update-debuginfo, etckeeper, langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package RepetierHost.noarch 0:0.90D-1.fc19 will be installed
--> Processing Dependency: mono(mscorlib) = 2.0.0.0 for package: RepetierHost-0.90D-1.fc19.noarch
--> Processing Dependency: mono(System.Xml) = 2.0.0.0 for package: RepetierHost-0.90D-1.fc19.noarch
--> Processing Dependency: mono(System.Windows.Forms) = 2.0.0.0 for package: RepetierHost-0.90D-1.fc19.noarch
--> Processing Dependency: mono(System.Drawing) = 2.0.0.0 for package: RepetierHost-0.90D-1.fc19.noarch
--> Processing Dependency: mono(System.Core) = 3.5.0.0 for package: RepetierHost-0.90D-1.fc19.noarch
--> Processing Dependency: mono(System) = 2.0.0.0 for package: RepetierHost-0.90D-1.fc19.noarch
--> Processing Dependency: mono(OpenTK.GLControl) = 1.1.0.0 for package: RepetierHost-0.90D-1.fc19.noarch
--> Processing Dependency: mono(OpenTK) = 1.1.0.0 for package: RepetierHost-0.90D-1.fc19.noarch
--> Running transaction check
---> Package OpenTK.noarch 0:0.0-6.20130108svn3126.fc19 will be installed
---> Package mono-core.x86_64 0:2.10.8-4.fc19 will be installed
---> Package mono-winforms.x86_64 0:2.10.8-4.fc19 will be installed
--> Processing Dependency: mono(System.Web) = 4.0.0.0 for package: mono-winforms-2.10.8-4.fc19.x86_64
--> Processing Dependency: mono(System.Web) = 2.0.0.0 for package: mono-winforms-2.10.8-4.fc19.x86_64
--> Running transaction check
---> Package mono-web.x86_64 0:2.10.8-4.fc19 will be installed
--> Processing Dependency: mono(System.Web.Extensions) = 4.0.0.0 for package: mono-web-2.10.8-4.fc19.x86_64
--> Processing Dependency: mono(System.Web.Extensions) = 3.5.0.0 for package: mono-web-2.10.8-4.fc19.x86_64
--> Processing Dependency: mono(System.ServiceModel) = 4.0.0.0 for package: mono-web-2.10.8-4.fc19.x86_64
--> Processing Dependency: mono(System.Runtime.Serialization) = 4.0.0.0 for package: mono-web-2.10.8-4.fc19.x86_64
--> Processing Dependency: mono(System.Data.Linq) = 4.0.0.0 for package: mono-web-2.10.8-4.fc19.x86_64
--> Processing Dependency: mono(System.Data.Linq) = 3.5.0.0 for package: mono-web-2.10.8-4.fc19.x86_64
--> Processing Dependency: mono(Mono.Data.Sqlite) = 4.0.0.0 for package: mono-web-2.10.8-4.fc19.x86_64
--> Processing Dependency: mono(Mono.Data.Sqlite) = 2.0.0.0 for package: mono-web-2.10.8-4.fc19.x86_64
--> Running transaction check
---> Package mono-data.x86_64 0:2.10.8-4.fc19 will be installed
--> Processing Dependency: mono(WindowsBase) = 3.0.0.0 for package: mono-data-2.10.8-4.fc19.x86_64
---> Package mono-data-sqlite.x86_64 0:2.10.8-4.fc19 will be installed
---> Package mono-mvc.x86_64 0:2.10.8-4.fc19 will be installed
---> Package mono-wcf.x86_64 0:2.10.8-4.fc19 will be installed
--> Processing Dependency: mono(System.Messaging) = 4.0.0.0 for package: mono-wcf-2.10.8-4.fc19.x86_64
--> Processing Dependency: mono(System.Messaging) = 2.0.0.0 for package: mono-wcf-2.10.8-4.fc19.x86_64
--> Running transaction check
---> Package mono-extras.x86_64 0:2.10.8-4.fc19 will be installed
---> Package mono-winfx.x86_64 0:2.10.8-4.fc19 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package             Arch      Version                         Repository  Size
================================================================================
Installing:
 RepetierHost        noarch    0.90D-1.fc19                    updates    779 k
Installing for dependencies:
 OpenTK              noarch    0.0-6.20130108svn3126.fc19      fedora     918 k
 mono-core           x86_64    2.10.8-4.fc19                   fedora      12 M
 mono-data           x86_64    2.10.8-4.fc19                   fedora     2.2 M
 mono-data-sqlite    x86_64    2.10.8-4.fc19                   fedora     106 k
 mono-extras         x86_64    2.10.8-4.fc19                   fedora     453 k
 mono-mvc            x86_64    2.10.8-4.fc19                   fedora     653 k
 mono-wcf            x86_64    2.10.8-4.fc19                   fedora     1.5 M
 mono-web            x86_64    2.10.8-4.fc19                   fedora     2.7 M
 mono-winforms       x86_64    2.10.8-4.fc19                   fedora     2.9 M
 mono-winfx          x86_64    2.10.8-4.fc19                   fedora     352 k

Transaction Summary
================================================================================
Install  1 Package (+10 Dependent packages)

Total download size: 25 M
Installed size: 94 M
Is this ok [y/d/N]:
Comment 6 antonio montagnani 2013-10-16 12:41:28 EDT
I confirm that mono dependencies are pulled.My mistake.Sorry for the noise.

I can't change baud rate as the 3D printer is leased directly from the company and I need to be allowed to change baud rate: we are using it to show that Fedora can print 3D things plug&play (and it does)

We are checking with the owner of a similar 3D printer at which rate he set in Ubuntu
Comment 7 Miro Hrončok 2013-10-16 14:57:34 EDT
So, can you print from RepetierHost download from http://www.repetier.com/download/ ?
Comment 8 antonio montagnani 2013-10-17 03:45:22 EDT
Created attachment 813216 [details]
dependencies from "original" package

I installed RepetierHost from original site and this is the list of dependencies that seems different from Fedora repo's dependencies 

Tonight I will check whether this set will make printer work and I will come back
Comment 9 Miro Hrončok 2013-10-17 05:57:55 EDT
You shouldn't need mono-devel unless you want to compile mono things.
What does this file show me? Dependencies of what? Why installing git and mono-devel?
Comment 10 antonio montagnani 2013-10-17 06:17:18 EDT
if you download the file from the RepetiertHost download page, following intructions included in the file, you hafe to run configureFirst.sh, that realizes that is on a Fedora box, and install required packages for dependencies.

I didn't install anything by hand.
Comment 11 Miro Hrončok 2013-10-17 06:32:23 EDT
That script is not cool. It kind of tries to set up and environment to build your own slic3r and other stuff. Brrr.

What you actaully should to is to download it, unpack it and run it with:

mono RepetierHost.exe

You might need those packages (some of them probably depend on each other anyway):

mono-core mono-data mono-data-sqlite mono-extras mono-mvc mono-wcf mono-web mono-winforms mono-winfx
Comment 12 Miro Hrončok 2013-10-17 06:35:00 EDT
Hey, why don't you ping me on IRC or other IM, so we can try it together?

(IM contacts in right column at http://fedoraproject.org/wiki/User:Churchyard)

Note You need to log in before you can comment on or make changes to this bug.